| All Verbs | /RestApi/Sitefinity/Analytics/GetCurrentAccountSettings |
|---|
export class GetCurrentAccountSettingsMessage
{
public ClientId: string;
public ClientSecret: string;
public SelectedProfile: string;
public TrackedDomain: string;
public SiteId: string;
public constructor(init?: Partial<GetCurrentAccountSettingsMessage>) { (Object as any).assign(this, init); }
}
export class GetCurrentAccountSettingsData
{
public ClientId: string;
public ClientSecret: string;
public TrackingCode: string;
public TrackedDomain: string;
public SelectedAccount: string;
public SelectedProfile: string;
public SelectedWebPropertyId: string;
public UseEquals: boolean;
public PrependHost: boolean;
public constructor(init?: Partial<GetCurrentAccountSettingsData>) { (Object as any).assign(this, init); }
}
TypeScript GetCurrentAccountSettingsMessage DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/Sitefinity/Analytics/GetCurrentAccountSettings HTTP/1.1
Host: www.asg.com.au
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length
{
ClientId: String,
ClientSecret: String,
SelectedProfile: String,
TrackedDomain: String
}
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
ClientId: String,
ClientSecret: String,
TrackingCode: String,
TrackedDomain: String,
SelectedAccount: String,
SelectedProfile: String,
SelectedWebPropertyId: String,
UseEquals: False,
PrependHost: False
}